import 'package:flutter/material.dart';
import 'package:tm_app/core/theme/colors.dart';
import 'package:tm_app/core/utils/size_config.dart';

class TitleDescription extends StatelessWidget {
  const TitleDescription({
    required this.title,
    required this.description,
    super.key,
  });

  final String title;
  final String description;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(bottom: 24.0.h()),

      child: SizedBox(
        width: double.infinity,
        height: 43.0.h(),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Text(
                  title,
                  style: TextStyle(
                    fontSize: 16.0.sp(),
                    fontWeight: FontWeight.w400,
                    color: AppColors.grey60,
                  ),
                ),
                Text(
                  description,
                  style: TextStyle(
                    fontSize: 16.0.sp(),
                    fontWeight: FontWeight.w400,
                    color: AppColors.grey80,
                  ),
                ),
              ],
            ),
            Container(
              width: double.infinity,
              height: 1.0.h(),
              color: AppColors.dividerColor,
            ),
          ],
        ),
      ),
    );
  }
}
